GetLifecycleExecution
Retrieves runtime information for a lifecycle execution – a single run of lifecycle actions that a lifecycle policy or a StartResourceStateUpdate request started.
Request Syntax
GET /GetLifecycleExecution?lifecycleExecutionId=lifecycleExecutionId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- lifecycleExecutionId
-
The unique identifier for a runtime instance of the lifecycle policy.
Pattern:
^lce-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"lifecycleExecution": {
"endTime": number,
"lifecycleExecutionId": "string",
"lifecyclePolicyArn": "string",
"resourcesImpactedSummary": {
"hasImpactedResources": boolean
},
"startTime": number,
"state": {
"reason": "string",
"status": "string"
}
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- lifecycleExecution
-
Runtime details for the specified runtime instance of the lifecycle policy.
Type: LifecycleExecution object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
Get the details of a lifecycle execution
The following example retrieves the runtime status of the specified lifecycle execution. If the execution was started by StartResourceStateUpdate rather than a lifecycle policy run, the response doesn't include the lifecyclePolicyArn field.
Sample Request
GET /GetLifecycleExecution?lifecycleExecutionId=lce-401aefc3-a829-46f6-8fc2-91497988a503 HTTP/1.1
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"lifecycleExecution": {
"lifecycleExecutionId": "lce-401aefc3-a829-46f6-8fc2-91497988a503",
"resourcesImpactedSummary": {
"hasImpactedResources": false
},
"state": {
"status": "IN_PROGRESS"
},
"startTime": 1788990149.801
}
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: